/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * ソースコード自動生成ライブラリ blancoCg のPOJOクラスです。
 */
package blanco.cg.valueobject;

/**
 * 例外を表現するためのバリューオブジェクト。<br>
 * おもにメソッドのthrowsを表現するために利用されます。
 */
public class BlancoCgException {
    /**
     * フィールド [type]
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。
     */
    private BlancoCgType fType;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * この例外の説明です。「入出力例外が発生した場合。」などと記載します。
     */
    private String fDescription;

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final BlancoCgType argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。
     *
     * @return フィールド[type]に格納されている値
     */
    public BlancoCgType getType() {
        return fType;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この例外の説明です。「入出力例外が発生した場合。」などと記載します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この例外の説明です。「入出力例外が発生した場合。」などと記載します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgException[");
        buf.append("type=" + fType);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
